LootJS.modifiers((event) => {
  /// Adding
  /// event.addTableModifier('deeperdarker:chests/ancient_temple_secret').addLoot('discerning_the_eldritch:amulet_of_sculk_treasure').randomChance(0.3);
  event.addTableModifier('dungeons_arise:chests/aviary/aviary_treasure').addLoot('simplyswords:shadowsting').randomChance(0.3);
  event.addTableModifier('dungeons_arise:chests/shiraz_palace/shiraz_palace_elite').addLoot('simplyswords:caelestis').randomChance(0.3);
  event.addTableModifier('dungeons_arise:chests/plague_asylum/plague_asylum_treasure').addLoot('simplyswords:toxic_longsword').randomChance(0.01);
  event.addTableModifier('cataclysm:entities/the_harbinger').addLoot('simplyswords:whisperwind').randomChance(0.3);
  event.addTableModifier('bosses_of_mass_destruction:entities/lich').addLoot('simplyswords:slumbering_lichblade').randomChance(0.33);
  event.addTableModifier('bosses_of_mass_destruction:entities/void_blossom').addLoot('simplyswords:bramblethorn').randomChance(0.33);
  event.addTableModifier('cataclysm:chests/frosted_prison_treasure').addLoot('simplyswords:icewhisper').randomChance(0.05);
  event.addTableModifier('cataclysm:chests/frosted_prison_treasure').addLoot('simplyswords:frostfall').randomChance(0.05);
  event.addTableModifier('dungeons_arise:chests/mechanical_nest_treasure').addLoot('simplyswords:enigma').randomChance(0.01);
  event.addTableModifier('cataclysm:entities/scylla').addLoot('simplyswords:mjolnir').randomChance(0.3);
  event.addTableModifier('cataclysm:entities/scylla').addLoot('simplyswords:livyatan').randomChance(0.3);
  event.addTableModifier('dungeons_arise:chests/plague_asylum/plague_asylum_treasure').addLoot('simplyswords:watcher_claymore').randomChance(0.3);
  event.addTableModifier('cataclysm:entities/the_leviathan').addLoot('simplyswords:watching_warglaive').randomChance(0.3);
  event.addTableModifier('dungeons_arise:chests/kisegi_sanctuary/kisegi_sanctuary_treasure').addLoot('simplyswords:stars_edge').randomChance(0.3);
  event.addTableModifier('minecraft:entities/axolotl').addLoot('simplyswords:chompolotl').randomChance(0.0024); // Weight 0.24 = ~0.24% chance
  event.addTableModifier('dungeons_arise:chests/typhon/typhon_treasure').addLoot('simplyswords:brimstone_claymore').randomChance(0.03);
  event.addTableModifier('dungeons_arise:chests/keep_kayra/keep_kayra_treasure').addLoot('simplyswords:emberblade').randomChance(0.03);
  event.addTableModifier('dungeons_arise:chests/bandit_towers/bandit_towers_treasure').addLoot('simplyswords:emberlash').randomChance(0.03);
  event.addTableModifier('dungeons_arise:chests/foundry/foundry_treasure').addLoot('simplyswords:hearthflame').randomChance(0.03);
  event.addTableModifier('dungeons_arise:chests/mining_system/mining_system_treasure').addLoot('simplyswords:molten_edge').randomChance(0.03);
  event.addTableModifier('dungeons_arise:chests/illager_fort/illager_fort_treasure').addLoot('simplyswords:flamewind').randomChance(0.01);
  event.addTableModifier('irons_spellbooks:chests/citadel/citadel_vault').addLoot('simplyswords:decaying_relic').randomChance(0.01);
  event.addTableModifier('ribbits:chests/sorcerer').addLoot('naturescompass:naturescompass').randomChance(0.4);

  // DEUS ESSENCE
  event.addTableModifier('mowziesmobs:entities/naga').addLoot('hazennstuff:deus_essence').randomChance(0.5);
  event.addTableModifier('mowziesmobs:entities/ferrous_wroughtnaut').addLoot('hazennstuff:deus_essence').randomChance(0.5);
  event.addTableModifier('mythsandlegends:entities/black_charro').addLoot('hazennstuff:deus_essence').randomChance(0.5);
  event.addTableModifier('mythsandlegends:entities/possessed_armor_inquisitor').addLoot('hazennstuff:deus_essence').randomChance(0.5);
  event.addTableModifier('bosses_of_mass_destruction:entities/lich').addLoot('hazennstuff:deus_essence').randomChance(0.5);
  event.addTableModifier('alexscaves:entities/forsaken').addLoot('hazennstuff:deus_essence').randomChance(0.5);
  event.addTableModifier('alexscaves:entities/hullbreaker').addLoot('hazennstuff:deus_essence').randomChance(0.5);
  event.addTableModifier('alexsmobs:entities/warped_mosco').addLoot('hazennstuff:deus_essence').randomChance(0.5);
  event.addTableModifier('illagerinvasion:entities/invoker').addLoot('hazennstuff:deus_essence').randomChance(0.5);
  event.addTableModifier('iceandfire:entities/cyclops').addLoot('hazennstuff:deus_essence').randomChance(0.5);
  event.addTableModifier('minecraft:entities/elder_guardian').addLoot('hazennstuff:deus_essence').randomChance(0.5);

  event.addTableModifier('mowziesmobs:entities/umvuthi').addLoot('2x hazennstuff:deus_essence').randomChance(0.6);
  event.addTableModifier('mowziesmobs:entities/frostmaw').addLoot('2x hazennstuff:deus_essence').randomChance(0.6);
  event.addTableModifier('eternal_starlight:entities/starlight_golem').addLoot('2x hazennstuff:deus_essence').randomChance(0.6);
  event.addTableModifier('eternal_starlight:entities/lunar_monstrosity').addLoot('2x hazennstuff:deus_essence').randomChance(0.6);
  event.addTableModifier('irons_spellbooks:entities/dead_king').addLoot('2x hazennstuff:deus_essence').randomChance(0.6);
  event.addTableModifier('bosses_of_mass_destruction:entities/gauntlet').addLoot('2x hazennstuff:deus_essence').randomChance(0.6);
  event.addTableModifier('bosses_of_mass_destruction:entities/obsidilith').addLoot('2x hazennstuff:deus_essence').randomChance(0.6);
  event.addTableModifier('bosses_of_mass_destruction:entities/void_blossom').addLoot('2x hazennstuff:deus_essence').randomChance(0.6);
  event.addTableModifier('cataclysm:entities/ender_golem').addLoot('2x hazennstuff:deus_essence').randomChance(0.6);
  event.addTableModifier('ars_nouveau:entities/wilden_boss').addLoot('2x hazennstuff:deus_essence').randomChance(0.6);
  event.addTableModifier('minecraft:entities/wither').addLoot('2x hazennstuff:deus_essence').randomChance(0.6);
  event.addTableModifier('minecraft:entities/warden').addLoot('2x hazennstuff:deus_essence').randomChance(0.6);
  event.addTableModifier('alexscaves:entities/luxtructosaurus').addLoot('2x hazennstuff:deus_essence').randomChance(0.6);
  event.addTableModifier('iceandfire:entities/fire_dragon').addLoot('2x hazennstuff:deus_essence').randomChance(0.6);
  event.addTableModifier('iceandfire:entities/ice_dragon').addLoot('2x hazennstuff:deus_essence').randomChance(0.6);
  event.addTableModifier('iceandfire:entities/lightning_dragon').addLoot('2x hazennstuff:deus_essence').randomChance(0.6);
  event.addTableModifier('alexsmobs:entities/void_worm').addLoot('2x hazennstuff:deus_essence').randomChance(0.6);

  event.addTableModifier('minecraft:entities/ender_dragon').addLoot('3x hazennstuff:deus_essence').randomChance(0.66);
  event.addTableModifier('cataclysm:entities/ancient_remnant').addLoot('3x hazennstuff:deus_essence').randomChance(0.66);
  event.addTableModifier('cataclysm:entities/ignis').addLoot('3x hazennstuff:deus_essence').randomChance(0.66);
  event.addTableModifier('cataclysm:entities/ender_guardian').addLoot('3x hazennstuff:deus_essence').randomChance(0.66);
  event.addTableModifier('cataclysm:entities/the_leviathan').addLoot('3x hazennstuff:deus_essence').randomChance(0.66);
  event.addTableModifier('cataclysm:entities/scylla').addLoot('3x hazennstuff:deus_essence').randomChance(0.66);
  event.addTableModifier('cataclysm:entities/netherite_monstrosity').addLoot('3x hazennstuff:deus_essence').randomChance(0.66);
  event.addTableModifier('cataclysm:entities/the_harbinger').addLoot('3x hazennstuff:deus_essence').randomChance(0.66);
  event.addTableModifier('cataclysm:entities/maledictus').addLoot('3x hazennstuff:deus_essence').randomChance(0.66);
  event.addTableModifier('irons_spellbooks:entities/fire_boss').addLoot('3x hazennstuff:deus_essence').randomChance(0.66);
  event.addTableModifier('iceandfire:chest/ice_dragon_male_cave').addLoot('gateways:gate_pearl[gateways:gateway="gateways:priestice"]').randomChance(0.15);
  event.addTableModifier('iceandfire:chest/ice_dragon_female_cave').addLoot('gateways:gate_pearl[gateways:gateway="gateways:priestice"]').randomChance(0.15);
  event.addTableModifier('iceandfire:chest/fire_dragon_male_cave').addLoot('gateways:gate_pearl[gateways:gateway="gateways:priestfire"]').randomChance(0.15);
  event.addTableModifier('betterdungeons:spider_dungeon/chests/egg_room').addLoot('gateways:gate_pearl[gateways:gateway="gateways:spider"]').randomChance(0.4);
  event.addTableModifier('dungeons_arise:chests/infested_temple/infested_temple_top_treasure').addLoot('gateways:gate_pearl[gateways:gateway="gateways:spider"]').randomChance(0.3);
  event.addTableModifier('cataclysm:entities/netherite_monstrosity').addLoot('gateways:gate_pearl[gateways:gateway="gateways:hellforge"]').randomChance(0.75);
  event.addTableModifier('irons_spellbooks:chests/citadel/citadel_vault').addLoot('gateways:gate_pearl[gateways:gateway="gateways:citadel_legion"]').randomChance(0.3);
  event.addTableModifier('eternal_starlight:chests/cursed_garden').addLoot('gateways:gate_pearl[gateways:gateway="gateways:crystal_arachnid"]').randomChance(0.2);
  event.addTableModifier('block_factorys_bosses:bosses/infernal_dragon').addLoot('gateways:gate_pearl[gateways:gateway="gateways:priestfire"]').randomChance(0.25);
  event.addTableModifier('block_factorys_bosses:bosses/infernal_dragon').addLoot('gateways:gate_pearl[gateways:gateway="gateways:priestice"]').randomChance(0.25);
  event.addTableModifier('block_factorys_bosses:bosses/infernal_dragon').addLoot('gateways:gate_pearl[gateways:gateway="gateways:inquisition"]').randomChance(0.25);
});

LootJS.lootTables((event) => {
  /// Adding

  /// Removing
  event.getLootTable('irons_spellbooks:entities/additional_hoglin_loot').firstPool().removeItem('irons_spellbooks:hogskin');
  event.getLootTable('irons_spellbooks:chests/citadel/citadel_vault').firstPool().removeItem('irons_spellbooks:decrepit_scythe');
});
